%define MODULES ac3dec as10k1 envy24control sb16_csp seq/sbiload sscape_ctl

Name:		alsa-tools
Version:	0.9.6
Release:	1mdk
Summary:	Advanced Linux Sound Architecture (ALSA) tools
License:	GPL
URL:		http://alsa-project.org
Source0:	ftp://ftp.alsa-project.org/pub/tools/%{name}-%{version}.tar.bz2
Source1:	envy24control.png
Group:		Sound
Requires:	libalsa2 >= 0.9.0
BuildRequires:	libalsa2-devel >= 0.9.0
BuildRequires:	libglib1.2-devel libgtk+1.2-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized 
architecture with support for a large range of ISA and PCI cards.
Fully compatible with OSS/Lite (kernel sound drivers), but 
contains many enhanced features.

This source rpm package provides several sub packages like:

* ac3dec - A free AC-3 stream decoder
* as10k1 - AS10k1 Assembler version A0.99
* envy24control - Control tool for Envy24 (ice1712) based soundcards
* cspctl - Sound Blaster 16 ASP/CSP control program
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility

%package -n	ac3dec
Summary:	A free AC-3 stream decoder
License:	GPL
Group:		Sound
Requires:	libalsa2 >= 0.9.0

%description -n	ac3dec
This software is completely useless to 99.99 percent of users
out there. It is mostly of use to those interested in audio
coding research and evaluating codecs. It could theoretically
be used as a portion of a DVD playback system for unix systems. 

%package -n	as10k1
Summary:	AS10k1 Assembler version A0.99
License:	GPL
Group:		Sound

%description -n	as10k1
This is an assembler for the emu10k1 DSP chip present in the
creative SB live, PCI 512, and emu APS sound cards. It is used to
make audio effects such as a flanger, chorus or reverb.

%package -n	envy24control
Summary:	Control tool for Envy24 (ice1712) based soundcards
License:	GPL
Group:		Sound
Requires:	libalsa2 >= 0.9.0
Requires:	libglib1.2 libgtk+1.2

%description -n	envy24control
envy24control allows control of the digital mixer, channel gains
and other hardware settings for sound cards based on the ice1712
chipset (Midiman Delta series, Terratec EWS and EWX series). It 
also displays a level meter for each input and output channel.

%package -n	cspctl
Summary:	Sound Blaster 16 ASP/CSP control program
License:	GPL
Group:		Sound
Requires:	libalsa2 >= 0.9.0

%description -n	cspctl
cspctl is a simple CSP microcode loader for Creative Sound Blaster
16ASP and some Sound Blaster AWE32 sound cards with Creative
Signal Processor (CSP) chip (CT1748A) installed.

%package -n	sbiload
Summary:	An OPL2/3 FM instrument loader for ALSA sequencer
License:	GPL
Group:		Sound
Requires:	libalsa2 >= 0.9.0

%description -n	sbiload
An OPL2/3 FM instrument loader for ALSA sequencer

%package -n	sscape_ctl
Summary:	ALSA SoundScape control utility
License:	GPL
Group:		Sound
Requires:	libalsa2 >= 0.9.0

%description -n	sscape_ctl
ALSA SoundScape control utility

#%package -n	hdsploader
#Summary:	Firmware loader for the RME Hammerfall DSP cards
#License:	GPL
#Group:		Sound
#Requires:	libalsa2 >= 0.9.0
#
#%description -n	hdsploader
#Firmware loader for the RME Hammerfall DSP cards
#
#%package -n	vxloader
#Summary:	Firmware loader for Digigram VX soundcards
#License:	GPL
#Group:		Sound
#Requires:	libalsa2 >= 0.9.0
#
#%description -n	vxloader
#Vxloader is a helper program to load the firmware binaries
#onto the Digigram's VX-board sound drivers.
#The following modules require this program:

%prep
%setup -q

%build

for i in %{MODULES}; do
pushd ${i}
%configure
%make
popd
done

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

for i in %{MODULES}; do
pushd ${i}
%makeinstall
popd
done

# install some extra stuff
install -m755 ac3dec/test/dither_test %{buildroot}%{_bindir}/dither_test
install -m755 ac3dec/test/imdct_test %{buildroot}%{_bindir}/imdct_test

# install menu entry for envy24control
install -d %{buildroot}%{_menudir}
install -d %{buildroot}%{_iconsdir}
install -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/envy24control.png
cat << EOF > %{buildroot}%{_menudir}/envy24control
?package(envy24control): command="envy24control" icon="envy24control.png" section="Multimedia/Sound" title="envy24control" longtitle="Control tool for Envy24 (ice1712) based soundcards" needs="x11"
EOF

%post -n	envy24control
%update_menus

%postun -n	envy24control
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n	ac3dec
%defattr(0644,root,root,0755)
%doc ac3dec/README
%attr(0755,root,root) %{_bindir}/ac3dec
%attr(0755,root,root) %{_bindir}/extract_ac3
%attr(0755,root,root) %{_bindir}/dither_test
%attr(0755,root,root) %{_bindir}/imdct_test

%files -n	as10k1
%defattr(0644,root,root,0755)
%doc as10k1/README as10k1/examples
%attr(0755,root,root) %{_bindir}/as10k1

%files -n	envy24control
%defattr(0644,root,root,0755)
%doc envy24control/README
%attr(0755,root,root) %{_bindir}/envy24control
%attr(0644,root,root) %{_mandir}/man1/envy24control.1*
%attr(0644,root,root) %{_menudir}/envy24control
%attr(0644,root,root) %{_iconsdir}/envy24control.png

%files -n	cspctl
%defattr(0644,root,root,0755)
%doc sb16_csp/README
%attr(0755,root,root) %{_bindir}/cspctl
%attr(0644,root,root) %{_mandir}/man1/cspctl.1*

%files -n	sbiload
%defattr(0644,root,root,0755)
%doc seq/sbiload/README
%attr(0755,root,root) %{_bindir}/sbiload

%files -n	sscape_ctl
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/sscape_ctl

#%files -n	hdsploader
#%defattr(0644,root,root,0755)
#%doc hdsploader/README
#%attr(0755,root,root) %{_bindir}/hdsploader

#%files -n	vxloader
#%defattr(0644,root,root,0755)
#%doc vxloader/README
#%attr(0755,root,root) %{_bindir}/vxloader

%changelog
* Thu Jul 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- 0.9.6
- drop P0, another fix made it into the source

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-2mdk
- fix description for what's seen on the changelog list..., i use
  envy24control and sscape_ctl but not for example cspctl, that's why
  this package is split.

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-1mdk
- 0.9.5, built against latest libs

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-1mdk
- 0.9.4
- added P0 to make it compile

* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-1mdk
- 0.9.3
- could not add the hdsploader subpackage because it relies on 
  "sound/hdsp.h" which is provied by alsa-driver-0.9.3+
- could not add the vxloader subpackage because the firmware are 
  copyrighted(?) by Digigram S.A.

* Sun Mar 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.1-1mdk
- initial cooker contrib (ripped from conectiva, adapted for mandrake)
